D-Bus 1.12.4

Data Fields
DBusPollFD Struct Reference
D-Bus secret internal implementation details » Internal system-dependent API

## Data Fields
DBusPollable | fd
| File descriptor.
short | events
| Events to poll for.
short | revents
| Events that occurred.

## Detailed Description

Definition at line 371 of file dbus-sysdeps.h.

## Field Documentation

## ◆ events

short DBusPollFD::events

Events to poll for.

Definition at line 374 of file dbus-sysdeps.h.

Referenced by _dbus_poll().

## ◆ fd

DBusPollable DBusPollFD::fd

File descriptor.

Definition at line 373 of file dbus-sysdeps.h.

Referenced by _dbus_poll().

## ◆ revents

short DBusPollFD::revents

Events that occurred.

Definition at line 375 of file dbus-sysdeps.h.

Referenced by _dbus_poll().

The documentation for this struct was generated from the following file:

- dbus-sysdeps.h